<template>
  <div class="auth__page">
    <Nav :with-links="true" />
    <div class="auth__container">
      <div><nuxt /></div>
    </div>
    <div class="auth__copyright">
      <div>Cover by <a href="#">Matt Hardy</a></div>
    </div>
    <SidebarContainer>
      <SidebarMenu />
    </SidebarContainer>
    <Cookie />
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
import Nav from '@/components/app/Nav.vue'
import SidebarMenu from '@/components/app/SidebarMenu.vue'
import SidebarContainer from '@/components/app/SidebarContainer.vue'
import Cookie from '@/components/app/Cookie.vue'
export default defineComponent({
  components: { Nav, SidebarContainer, SidebarMenu, Cookie },
  name: 'AuthLayout'
})
</script>

<style lang="scss">
.auth {
  &__page {
    min-height: 100vh;
    background-image: url(~@/assets/images/auth.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0 0 65px 0;
    @media (min-width: 1199.98px) {
      padding: 0 0 100px 0;
    }

    .el-input__inner {
      font-size: 24px;
    }
  }
  &__container {
    padding: 30px 30px 0 30px;
    max-width: 1920px;
    margin: 0 auto;
    > div {
      @media (min-width: 1199.98px) {
        max-width: 950px;
        padding-top: 120px;
      }
    }
  }

  &__copyright {
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 30px;
    font-size: 18px;
    line-height: 21px;
    letter-spacing: 0px;
    color: #9badd6;
    a {
      color: #ffffff;
    }
    @media (min-width: 1199.98px) {
      bottom: 60px;
    }
    > div {
      max-width: 1920px;
      padding-left: 30px;
      padding-right: 30px;
      margin: 0 auto;
    }
  }

  &__title {
    font-size: 35px;
    line-height: 40px;
    font-weight: bold;
    letter-spacing: -1.13px;
    color: #ffffff;
    margin-bottom: 20px;
    @media (min-width: 1199.98px) {
      font-size: 45px;
      line-height: 40px;
      margin-bottom: 35px;
    }
  }
  &__description {
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 0px;
    color: #ffffff;
    margin-bottom: 30px;
    @media (min-width: 1199.98px) {
      font-size: 30px;
      line-height: 36px;
      margin-bottom: 60px;
    }
  }

  &__grid {
    margin-bottom: 75px;
    display: grid;
    grid-gap: 25px;
    @media (min-width: 991.98px) {
      margin-bottom: 75px;
      grid-auto-flow: column;
      grid-auto-columns: max-content;
    }
  }

  &__row {
    > * {
      padding-bottom: 20px;
    }
    @media (min-width: 1199.98px) {
      display: flex;
      flex-wrap: wrap;
      margin-right: -20px;
      > * {
        padding-right: 20px;
        padding-bottom: 25px;
      }
    }
  }
  &__half {
    flex: 0 0 50%;
  }
  &__full {
    flex: 1;
  }

  &__reset {
    position: relative;
    .el-input__inner {
      padding-right: 120px;
    }
    a {
      position: absolute;
      right: 25px;
      top: 50%;
      transform: translateY(-50%);
      font-size: 14px;
      line-height: 18px;
      font-weight: bold;
      letter-spacing: 0.7px;
      color: #00ffb3;
      text-transform: uppercase;
    }
  }

  &__connect {
    margin-top: 60px;
    &_title {
      font-size: 24px;
      line-height: 30px;
      color: #ffffff;
      margin-bottom: 20px;
    }
  }

  &__google {
    width: 100%;
    svg {
      width: 32px;
      height: 32px;
      margin-right: 20px;
    }
  }
}
</style>
